Closed Bug 1583504 Opened 1 year ago Closed 3 months ago

Remove usage of "extensions.showMismatchUI" in geckodriver

Categories

(Testing :: geckodriver, task, P3)

Version 3
task

Tracking

(firefox82 fixed)

RESOLVED FIXED
82 Branch
Tracking Status
firefox82 --- fixed

People

(Reporter: whimboo, Assigned: snowmanstark, Mentored)

References

Details

(Whiteboard: [lang=py][lang=rust])

User Story

To get familiar with Marionette tests please read through:
https://firefox-source-docs.mozilla.org/testing/marionette/NewContributors.html

Attachments

(1 file)

This preference is no longer supported starting with Firefox 61. As such setting it to a custom value can be removed. Here you can find all the instances:

https://searchfox.org/mozilla-central/search?q=showMismatchUI&path=

Priority: -- → P3
User Story: (updated)

Hi Henrik,
I excited to get started with this. Could you please guide me?

Please see the user story at the top of the bug. It contains a link to our documentation. Going through all of that will help you to get started. Thanks.

Ok, I will get right on top of it.
Thanks

Whiteboard: [lang=py][lang=rs] → [lang=py][lang=rust]

Can I work on this bug?

Yes, go ahead. Our usual practice is to assign the bug to you after you've submitted a patch up for review.

Sure, I'll submit a patch ASAP

Assignee: nobody → philjohnson96
Status: NEW → ASSIGNED

Please note that in Marionette we already got this preference removed. With geckodriver we have a stricter model and can't remove it yet given that the minimum supported release is 60 right now.

Lets revisit this bug in a couple of weeks.

Component: Marionette → geckodriver
Summary: Remove usage of "extensions.showMismatchUI" in Marionette and geckodriver → Remove usage of "extensions.showMismatchUI" in geckodriver
Attachment #9166301 - Attachment description: Bug 1583504 - Removed 'extensions.showMismatchUI' in Marionette and geckodriver. r=maja_zf → Bug 1583504 - [marionette] Remove obsolete preference 'extensions.showMismatchUI'. r=maja_zf
Blocks: 1649094
Pushed by hskupin@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/4bce303c45e7
[marionette] Remove obsolete preference 'extensions.showMismatchUI'. r=maja_zf,webdriver-reviewers,whimboo
Status: ASSIGNED → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → 82 Branch
You need to log in before you can comment on or make changes to this bug.